Page MenuHomePhabricator

Efl.Ui.Image: remove previous image when NULL is set
ClosedPublic

Authored by taxi2se on Jan 15 2018, 11:56 PM.

Details

Summary

when Efl.Ui.Image has an image,

efl_file_set(efl_added, NULL, NULL) is not working.
I think this should remove prevous image and go back to empty image.
@fix

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
taxi2se created this revision.Jan 15 2018, 11:56 PM
taxi2se requested review of this revision.Jan 25 2018, 6:00 AM
jpeg added inline comments.Jan 25 2018, 9:46 PM
src/lib/elementary/efl_ui_image.c
1139

no need for this check here, i think?

taxi2se updated this revision to Diff 13757.Jan 26 2018, 12:11 AM

remove redundant NULL check

taxi2se marked an inline comment as done.Jan 26 2018, 12:13 AM
jpeg accepted this revision.Jan 28 2018, 8:21 PM

looks ok

This revision is now accepted and ready to land.Jan 28 2018, 8:21 PM
Closed by commit rEFL30593b19ba6e: Efl.Ui.Image: remove previous image when NULL is set (authored by taxi2se, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyJan 30 2018, 12:01 AM
This revision was automatically updated to reflect the committed changes.